%{?nodejs_find_provides_and_requires}

%global commit 212d7d4b5f049e31d30907ee73ac767329db92e1

%global enable_tests 0

Name:       nodejs-css-parse
Version:    1.7.0
Release:    %mkrel 9
Summary:    A JavaScript CSS parser for Node.js and the browser
License:    MIT
Group:      System/Libraries
URL:        https://github.com/reworkcss/css-parse
# Use GitHub as the NPM tarball is missing test/, examples/, History.md.
Source0:    https://github.com/reworkcss/css-parse/archive/%{commit}/%{name}-%{version}.tar.gz

BuildArch:  noarch
BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(mocha)
BuildRequires:  npm(should)
%endif

%description
%{summary}.


%prep
%setup -q -n css-parse-%{commit}


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/css-parse
cp -pr package.json index.js \
    %{buildroot}%{nodejs_sitelib}/css-parse

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
/usr/bin/mocha --require should --reporter spec --bail
%endif


%files
%doc examples/ History.md LICENSE Readme.md
%{nodejs_sitelib}/css-parse




%changelog
* Fri Jun 27 2025 umeabot <umeabot> 1.7.0-9.mga10
+ Revision: 2209482
- Mageia 10 Mass Rebuild

* Wed Mar 23 2022 umeabot <umeabot> 1.7.0-8.mga9
+ Revision: 1820334
- Mageia 9 Mass Rebuild

* Wed Aug 19 2020 joequant <joequant> 1.7.0-7.mga8
+ Revision: 1615545
- disable tests
- remove tests

* Fri Feb 14 2020 umeabot <umeabot> 1.7.0-6.mga8
+ Revision: 1522063
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 1.7.0-5.mga7
+ Revision: 1299757
- Mageia 7 Mass Rebuild
- Mageia 7 Mass Rebuild

* Tue Feb 09 2016 umeabot <umeabot> 1.7.0-3.mga6
+ Revision: 951153
- Mageia 6 Mass Rebuild

* Tue Dec 09 2014 tv <tv> 1.7.0-2.mga5
+ Revision: 802486
- reenable testsuite

* Wed Oct 29 2014 tv <tv> 1.7.0-1.mga5
+ Revision: 794348
- disable tests for bootstrap
- reenable tests
- imported package nodejs-css-parse


* Wed Oct 29 2014 Thierry Vignaud <tv@mageia.org> 1.7.0-1.mga5
- import from FC

* Sun Feb 23 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 1.7.0-2
- update URL tag

* Sun Feb 23 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 1.7.0-1
- initial package

